<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: membersRep.php 19 2006-12-27 06:25:26Z zanix $
 *
 ******************************/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

	$factioned=0;

	$query = "SELECT DISTINCT m.member_id, m.name member, p.server, p.clientLocale, r.faction, r.name fct_name, r.curr_rep, r.max_rep, r.standing ".
					"FROM `".$roster->db->table('reputation')."` r, `".$roster->db->table('members')."` m, `".$roster->db->table('players')."` p";

	if( (isset($_REQUEST['Professionsfilter'])) && (($_REQUEST['Professionsfilter']) != 'All') )
		$query .= ", `".$roster->db->table('skills')."` s";

	$query .= " WHERE m.guild_id = '".$roster->data['guild_id']."' ".
		"AND r.member_id = m.member_id ".
		"AND p.member_id = m.member_id ";

	if( (isset($_REQUEST['Professionsfilter'])) && (($_REQUEST['Professionsfilter']) != 'All') )
		$query .= "AND s.member_id = m.member_id ";
		
		
	$inClause = "'";
	foreach( $roster->multilanguages as $lang )
	{
		$inClause .= addslashes($roster->locale->wordings[$lang][$AS_faction])."', '";
	}
	$inClause .= "'";

	$query .= "AND r.name IN ($inClause) ";

	if( (isset($_REQUEST['Professionsfilter'])) && (($_REQUEST['Professionsfilter']) != 'All') )
		{
			$inClause = "'";
			foreach( $roster->multilanguages as $lang )
			{
				$inClause .= addslashes($roster->locale->wordings[$lang][$_REQUEST['Professionsfilter']])."', '";
			}
			$inClause .= "'";
			$query .= "AND s.skill_name IN ($inClause) ";
		}

	$query .= "ORDER BY r.max_rep desc, r.curr_rep DESC, m.name ASC";

	$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', basename(__FILE__),__LINE__,$query);

	$ab = array();
	$striping_counter = 1;
	$rep = array();

	while($row = $roster->db->fetch($result))
	{
		$standing = $roster->locale->wordings[$row['clientLocale']]['stands_to_en'][$row['standing']];

		$query = "SELECT s.skill_name, s.skill_level ".
			"FROM `".$roster->db->table('skills')."` s ".
			"WHERE s.member_id = ".$row['member_id']."  ".
			"AND s.skill_type='".$roster->locale->wordings[$row['clientLocale']]['professions']."'";

		$result2 = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', basename(__FILE__),__LINE__,$query);
		
		$cell_value = '';
		$cell_value2 = '';
		$cell_value3 = '';
		$percentage = '';
		while($row2 = $roster->db->fetch($result2))
		{
			$toolTip = str_replace(':','/',$row2['skill_level']);
			if ($row['clientLocale'] != $roster->config['locale']) {
				$toolTiph = $roster->locale->wordings[$row['clientLocale']]['prof_to_en'][$row2['skill_name']];
				if ($roster->config['locale'] != 'enUS')
					$toolTiph = $roster->locale->act[$toolTiph];
			} else {
				$toolTiph = $row2['skill_name'];
			}
			$skill_image = 'Interface/Icons/'.$roster->locale->wordings[$row['clientLocale']]['ts_iconArray'][$row2['skill_name']];

			$cell_value .= "<img class=\"membersRowimg\" width=\"16\" height=\"16\" src=\"".$roster->config['interface_url'].$skill_image.'.'.$roster->config['img_suffix']."\" alt=\"\" ".makeOverlib($toolTip,$toolTiph,'',2,'',',RIGHT,WRAP')." />\n";
		}
		
		if ( $standing == 'exalted' ) {
			$query = "SELECT * FROM `".$roster->db->table('reputation')."` ".
				"WHERE `member_id` = '".$row['member_id']."' AND `Standing` != '".$roster->locale->wordings[$row['clientLocale']]['exalted']."' ".
				"AND `name` IN (\"".$roster->locale->wordings[$row['clientLocale']]['Cenarion_Expedition']."\", \"".$roster->locale->wordings[$row['clientLocale']]['Shatar']."\")";
			
			$result3 = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', basename(__FILE__),__LINE__,$query);
		
				if ($roster->db->num_rows($result3) == 0 ) {
					$cell_value3 .= "<img class=\"membersRowimg\" width=\"16\" height=\"16\" src=\"".$roster->config['interface_url'].'Interface/Icons/spell_shadow_metamorphosis.'.$roster->config['img_suffix']."\" alt=\"\" ".makeOverlib($roster->locale->act['Can_use_SF'],$roster->locale->act['Mark_Illidari'],'',2,'',',RIGHT,WRAP')." />\n";
				} else {
					while($row3 = $roster->db->fetch($result3))
					{
						$row3['name'] = $roster->locale->wordings[$row['clientLocale']]['rep_to_en'][$row3['name']];
						if ($row['clientLocale'] != $roster->config['locale']) {
							$row3['Standing'] = $roster->locale->act[$roster->locale->wordings[$row['clientLocale']]['stands_to_en'][$row3['Standing']]];
						}
						if ($row3['Standing'] == $roster->locale->act['revered'])
							$rest = $row3['max_rep'] - $row3['curr_rep'];
						elseif ($row3['Standing'] == $roster->locale->act['honored'])
							$rest = ($row3['max_rep'] - $row3['curr_rep']) + 21000;
						elseif ($row3['Standing'] == $roster->locale->act['friendly'])
							$rest = ($row3['max_rep'] - $row3['curr_rep']) + 33000;
						elseif ($row3['Standing'] == $roster->locale->act['neutral'])
							$rest = ($row3['max_rep'] - $row3['curr_rep']) + 39000;
						$standing_value =round(($row3['curr_rep']/$row3['max_rep'])*100);
						$standing_value .= '% '.$row3['Standing'].' '.$row3['curr_rep'].'/'.$row3['max_rep'];
						$standing_value .= '<BR />'.$rest.' '.$roster->locale->act['rep_need'];
						$cell_value3 .= "<img class=\"membersRowimg\" width=\"16\" height=\"16\" src=\"".$addon['url_full'].'images/'.$row3['name'].'.'.$roster->config['img_suffix']."\" alt=\"\" ".makeOverlib($standing_value,$roster->locale->act[$row3['name']],'',2,'',',RIGHT,WRAP')." />\n";
					}
				}
		} else {
			$cell_value3 = '<img src="'.$roster->config['img_url'].'pixel.gif" height="14" width="1" alt="" />';
		}

		// Increment counter so rows are colored alternately
		++$striping_counter;

		if (!isset($rep[$standing])) $rep[$standing] = '';

		$rep[$standing] .=('<tr class="membersRow'. (($striping_counter % 2) +1) ."\">\n");
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"><a href="'.makelink('char-info&member='.$row['member_id']).'">'.$row['member'].'</a></td>');
	$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"><div class="rep_'.$standing.'">'.$roster->locale->act[$standing].'</div></td>');
		
			$percentage = round(($row['curr_rep']/$row['max_rep'])*100);

			$cell_value2 = '<div class="levelbarParent" style="width:70px;"><div class="levelbarChild">'.$row['curr_rep'].' / '.$row['max_rep'].'</div></div>';
			$cell_value2 .= '<table class="expOutline" border="0" cellpadding="0" cellspacing="0" width="70">';
			$cell_value2 .= '<tr>';
			$cell_value2 .= '<td style="background-image: url(\''.$addon['url_full'].'images/bar-'.$standing.'.gif\');" width="'.$percentage.'%"><img src="'.$roster->config['img_url'].'pixel.gif" height="14" width="1" alt="" /></td>';
			$cell_value2 .= '<td width="'.(100 - $percentage).'%"></td>';
			$cell_value2 .= "</tr>\n</table>\n</div>\n";
		
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'">'.$cell_value2.'</td>');
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"><center>'.$cell_value3.'</center></td>');
		$rep[$standing] .=('<td class="membersRowRight'. (($striping_counter % 2) +1) .'"><center>'.$cell_value.'</center></td>');
		$rep[$standing] .=('</tr>');
		
		$factioned=1;
	}

	$roster->db->free_result($result);

	if($factioned==1)
	{
	$borderTop = border('syellow', 'start', $roster->locale->act['rep_city'].' - '.$roster->locale->act[$AS_faction]);
	$tableHeader = '<table width="100%" cellspacing="0" class="bodyline">';
	$tableHeaderRow = '	<tr>
		<th class="membersHeader">'.$roster->locale->act['name'].'</th>
		<th class="membersHeader">'.$roster->locale->act['standing'].'</th>
		<th class="membersHeader">'.$roster->locale->act['rep_value'].' / '.$roster->locale->act['rep_max'].'</th>
		<th class="membersHeader">'.$roster->locale->act['Shattrath_Flask'].'</th>
		<th class="membersHeaderRight">'.$roster->locale->act['professions'].'</th>
		</tr>';
	$borderBottom = border('syellow', 'end');
	$tableFooter = '</table>';

	$content .=($borderTop);
	$content .=($tableHeader);
	$content .=($tableHeaderRow);

	if (array_key_exists('exalted',$rep))
		$content .=($rep['exalted']);
	if (array_key_exists('revered',$rep))
		$content .=($rep['revered']);
	if (array_key_exists('honored',$rep))
		$content .=($rep['honored']);
	if (array_key_exists('friendly',$rep))
		$content .=($rep['friendly']);

	$content .=($tableFooter);
	$content .= $borderBottom;
	}
